{% extends "index.html" %}

{% block style_sheets %}
<link type="text/css" rel="stylesheet" href="../static/css/sidPopupStyle.css">


  {% endblock %}


{% block content %}


<div class="row">
    <div id="form">





        <div class="col-md-12">


            <h1 class="titles">Payments and charges</h1>
            <table class="table table-striped table-bordered  responsive"  id="my_payments_table" style="width:100%"  >
                <thead>
                    <tr>
                        <th data-field="name" data-sortable="true"> 
                            Date created </th>
                        <th data-field="name" data-sortable="true"> 
                            Date paid </th>
                        <th data-field="name" data-sortable="true"> Price </th>
                        <th data-field="name" data-sortable="true"> Item/Unit </th>
    
                        <th data-field="name" data-sortable="true"> Details  </th>
                        <th data-field="name" data-sortable="true"> Status </th>
                        <th data-field="name" data-sortable="true"> Download invoice </th>


                    </tr>
                </thead>
                <tbody>




{% for c in charges_dicts %}
<tr>
    <td>
        {{c.created}}

    </td>
    <td>
        {{c.pay_date}}

    </td>
 <td>
        {{c.amount}}

    </td>
     <td>
        {% if c.unit_name == 'Order' %}
        <a href="/orders/{{c.unit_id}}">View Order</a>

        {% elif c.unit_name == "Delivery" %}
           {{c.unit_name}}
        {% else %}
        <a href="/units/{{c.unit_id}}">{{c.unit_name}}</a>
        {% endif %}

    </td>

      <td>
         {{c.details}}

    </td>
    <td>
        {% if c.status == 'PAID' %}

         <p style="color:green; font-size: 20px;"><span   class="glyphicon glyphicon-ok"></span> PAID</p>   

           
        {% elif c.status == 'CANCELLED' %}
            <p style="color:orange; font-size: 20px;"><span  class="glyphicon glyphicon-minus"></span> CANCELLED</p>   

        {% else %}
            <p style="color:red; font-size: 20px;"><span  class="glyphicon glyphicon-remove"></span> UNPAID</p>  
        {% endif %}
    </td>

      <td>
         <a href="/invoices/{{c.id}}">Download invoice</a>

    </td>
        
</tr>

{% endfor %}

                </tbody>
               
            </table>


        </div>

    </div>
</div>




<div class="row">

    <div class="col-md-4">
        <h4>Outstanding charges</h4>
        <div class="well well-sm">R <span id="outstanding_amount">{{total}}</span>  <span style="display: none;" id="merch_ref">{{merch_ref}}</span> </div>
        <br>
        
    </div>
</div>


<div class="row">

    {% if total > 0 %}
    <div class="col-md-6">
<fieldset form="form1">
  <legend>Payment options:</legend>
   {% if pay_url %}
         <a style="border: 2px solid #f4c535;"  class="btn" href="{{pay_url}}">Pay with EFT</a>
        {% endif %} 
  
        <button style="border: 2px solid #f4c535;" type="button" id="pay_btn" class="btn">Pay with Visa, Master Card or American Express</button> <br><br>
 

        </fieldset>
    </div>

{% endif %}
</div>
<br>



<div class="row">
    <div class="col-md-12">
        <div id='payment-form'>
        </div>
    </div>
</div>

{% endblock %}



  {% block scripts %}

<script src="../static/js/sidPopup.js"></script>
<script src="../static/js/client/payments.js?v={{js_version}}"></script>

{% endblock %}
